import Errors from './Errors';
export declare enum FormMethods {
    POST = "post",
    PATCH = "patch",
    PUT = "put"
}
interface FormConfig {
    resetAfterSend?: boolean;
    removeNullValues?: boolean;
    method?: FormMethods;
}
interface Data {
    [key: string]: any;
}
export default class Form {
    data: Data;
    originalData: Data;
    config: FormConfig;
    errors: Errors;
    /**
     * Create a new Form instance.
     */
    constructor(data: Data, config?: FormConfig);
    /**
     * Add a new field with value to the form.
     */
    addField(field: string, value: any): void;
    /**
     * Get FormData object.
     */
    getFormData(): FormData;
    reset(): void;
    serialize(): {
        [key: string]: any;
    };
}
export {};
