import { AxiosError, AxiosInstance, AxiosRequestConfig, AxiosResponse } from 'axios';
interface RequestConfig {
    autoRequestCsrfCookie?: boolean;
    csrfCookieUrl?: string;
    errorCallbacks?: {
        [key: number]: {
            (error: AxiosError): void;
        };
    };
}
export default class Request {
    service: AxiosInstance;
    config: RequestConfig;
    constructor(config?: RequestConfig);
    get<T = any, R = AxiosResponse<T>>(url: string, config?: AxiosRequestConfig): Promise<R>;
    post<T = any, R = AxiosResponse<T>>(url: string, data?: any, config?: AxiosRequestConfig): Promise<R>;
    patch<T = any, R = AxiosResponse<T>>(url: string, data?: any, config?: AxiosRequestConfig): Promise<R>;
    put<T = any, R = AxiosResponse<T>>(url: string, data?: any, config?: AxiosRequestConfig): Promise<R>;
    delete<T = any, R = AxiosResponse<T>>(url: string, config?: AxiosRequestConfig): Promise<R>;
}
export {};
